<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class MakeNullableInChinaBankSlipsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('china_bank_slips', function (Blueprint $table) {
            $table->string('company_name')->nullable()->change();
            $table->string('bank_name')->nullable()->change();
            $table->string('acc_no')->nullable()->change();
            $table->string('bank_address')->nullable()->change();
            $table->string('swift')->nullable()->change();
            $table->string('cnap')->nullable()->change();
            $table->string('order_id')->nullable()->change();
            $table->decimal('transfer_amount_needed')->nullable()->change();
            $table->decimal('actual_transfer_amount')->nullable()->change();
            $table->string('date')->nullable()->change();
            $table->string('details')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('china_bank_slips', function (Blueprint $table) {
            //
        });
    }
}
